# function to detect outliers

outliers <- function(x, variable, criterion) {
  x <- x %>%
    mutate(z_scores = 
             (get(variable) - mean(get(variable), na.rm = TRUE)) /
             sd(get(variable), na.rm = TRUE)) %>%
    filter(z_scores >= criterion | z_scores <= -1 * criterion)
}
